Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.gwt.user.client
Class Window

    java.lang.Object
      com.google.gwt.user.client.Window

    public class Window

extends java.lang.Object

This class provides access to the browser window's methods, properties, and events.

Nested Class Summary
`static class` | `Window.Location` This class provides access to the browser's location's object.

Method Summary
`static void` | `addWindowCloseListener(WindowCloseListener listener)` Adds a listener to receive window closing events.
`static void` | `addWindowResizeListener(WindowResizeListener listener)` Adds a listener to receive window resize events.
`static void` | `alert(java.lang.String msg)` Displays a message in a modal dialog box.
`static boolean` | `confirm(java.lang.String msg)` Displays a message in a modal dialog box, along with the standard 'OK' and 'Cancel' buttons.
`static void` | `enableScrolling(boolean enable)` Use this method to explicitly disable the window's scrollbars.
`static int` | `getClientHeight()` Gets the height of the browser window's client area excluding the scroll bar.
`static int` | `getClientWidth()` Gets the width of the browser window's client area excluding the vertical scroll bar.
`static int` | `getScrollLeft()` Gets the window's scroll left.
`static int` | `getScrollTop()` Get the window's scroll top.
`static java.lang.String` | `getTitle()` Gets the browser window's current title.
`static void` | `open(java.lang.String url, java.lang.String name, java.lang.String features)` Opens a new browser window.
`static void` | `print()` Prints the document in the window, as if the user had issued a "Print" command.
`static java.lang.String` | `prompt(java.lang.String msg, java.lang.String initialValue)` Displays a request for information in a modal dialog box, along with the standard 'OK' and 'Cancel' buttons.
`static void` | `removeWindowCloseListener(WindowCloseListener listener)` Removes a window closing listener.
`static void` | `removeWindowResizeListener(WindowResizeListener listener)` Removes a window resize listener.
`static void` | `setMargin(java.lang.String size)` Sets the size of the margins used within the window's client area.
`static void` | `setStatus(java.lang.String status)` Sets the status text for the window.
`static void` | `setTitle(java.lang.String title)` Sets the browser window's title.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### addWindowCloseListener

    public static void addWindowCloseListener(WindowCloseListener listener)

  Adds a listener to receive window closing events.

  Parameters:
    `listener` - the listener to be informed when the window is closing

### addWindowResizeListener

    public static void addWindowResizeListener(WindowResizeListener listener)

  Adds a listener to receive window resize events.

  Parameters:
    `listener` - the listener to be informed when the window is resized

### alert

    public static void alert(java.lang.String msg)

  Displays a message in a modal dialog box.

  Parameters:
    `msg` - the message to be displayed.

### confirm

    public static boolean confirm(java.lang.String msg)

  Displays a message in a modal dialog box, along with the standard 'OK' and 'Cancel' buttons.

  Parameters:
    `msg` - the message to be displayed.
  Returns:
    `true` if 'OK' is clicked, `false` if 'Cancel' is clicked.

### enableScrolling

    public static void enableScrolling(boolean enable)

  Use this method to explicitly disable the window's scrollbars. Applications that choose to resize their user-interfaces to fit within the window's client area will normally want to disable window scrolling.

  Parameters:
    `enable` - `false` to disable window scrolling

### getClientHeight

    public static int getClientHeight()

  Gets the height of the browser window's client area excluding the scroll bar.

  Returns:
    the window's client height

### getClientWidth

    public static int getClientWidth()

  Gets the width of the browser window's client area excluding the vertical scroll bar.

  Returns:
    the window's client width

### getScrollLeft

    public static int getScrollLeft()

  Gets the window's scroll left.

  Returns:
    window's scroll left

### getScrollTop

    public static int getScrollTop()

  Get the window's scroll top.

  Returns:
    the window's scroll top

### getTitle

    public static java.lang.String getTitle()

  Gets the browser window's current title.

  Returns:
    the window's title.

### open

    public static void open(java.lang.String url,
                            java.lang.String name,
                            java.lang.String features)

  Opens a new browser window. The "name" and "features" arguments are specified here.

  Parameters:
    `url` - the URL that the new window will display
    `name` - the name of the window (e.g. "_blank")
    `features` - the features to be enabled/disabled on this window

### print

    public static void print()

  Prints the document in the window, as if the user had issued a "Print" command.

### prompt

    public static java.lang.String prompt(java.lang.String msg,
                                          java.lang.String initialValue)

  Displays a request for information in a modal dialog box, along with the standard 'OK' and 'Cancel' buttons.

  Parameters:
    `msg` - the message to be displayed
    `initialValue` - the initial value in the dialog's text field
  Returns:
    the value entered by the user if 'OK' was pressed, or `null` if 'Cancel' was pressed

### removeWindowCloseListener

    public static void removeWindowCloseListener(WindowCloseListener listener)

  Removes a window closing listener.

  Parameters:
    `listener` - the listener to be removed

### removeWindowResizeListener

    public static void removeWindowResizeListener(WindowResizeListener listener)

  Removes a window resize listener.

  Parameters:
    `listener` - the listener to be removed

### setMargin

    public static void setMargin(java.lang.String size)

  Sets the size of the margins used within the window's client area. It is sometimes necessary to do this because some browsers, such as Internet Explorer, add margins by default, which can confound attempts to resize panels to fit exactly within the window.

  Parameters:
    `size` - the window's new margin size, in CSS units.

### setStatus

    public static void setStatus(java.lang.String status)

  Sets the status text for the window. Calling this method in Firefox has no effect.

  Parameters:
    `status` - the new message to display.

### setTitle

    public static void setTitle(java.lang.String title)

  Sets the browser window's title.

  Parameters:
    `title` - the new window title.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD